%define	desktop_vendor planetccrma

Summary: Impulse response measurement system
Name: aliki
Version: 0.3.0
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://kokkinizita.linuxaudio.org/linuxaudio/
Source0: aliki-%{version}.tar.bz2
Source2: aliki.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils
BuildRequires: clthreads-devel clxclient-devel zita-alsa-pcmi-devel fftw-devel
BuildRequires: jack-audio-connection-kit-devel alsa-lib-devel libsndfile-devel 
BuildRequires: libX11-devel libXft-devel

%description
Aliki is an integrated system for Impulse Response measurements, using
the logaritmic sweep method developed by Prof. Angelo Farina.

%prep
%setup -q

%build
pushd source
perl -p -i -e "s|-march=native||g" Makefile
%{__make} PREFIX=%{_prefix}
popd

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
pushd source
%{__make} PREFIX=%{buildroot}%{_prefix} install
popd

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-Jack X-Audio_Tools"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE2}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc doc/aliki-manual.pdf
%{_bindir}/aliki
%{_bindir}/aliki-rt
%{_datadir}/applications/planetccrma-aliki.desktop

%changelog
* Wed Aug  7 2013 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.3.0-1
- update to 0.3.0

* Tue Nov 15 2011 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.0-1
- updated to 0.1.0

* Fri Feb  1 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- built on CentOS

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Sun Apr  1 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.0.3-1
- initial build.
- disable libsndfile ambisonic extensions, see:
  http://www.archivesat.com/Libsndfile/thread1832859.htm
  (not yet available on libsndfile 1.0.17)
